
!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
allRangesOfRegexMatches: rxString

	^rxString asRegex matchingRangesIn: self! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
allRegexMatches: rxString

	^rxString asRegex matchesIn: self! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
asRegex
	"Compile the receiver as a regex matcher. May raise RxParser>>syntaxErrorSignal
	or RxParser>>compilationErrorSignal.
	This is a part of the Regular Expression Matcher package, (c) 1996, 1999 Vassili Bykov.
	Refer to `documentation' protocol of RxParser class for details."

	^RxParser preferredMatcherClass for: (RxParser new parse: self)! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
asRegexIgnoringCase
	"Compile the receiver as a regex matcher. May raise RxParser>>syntaxErrorSignal
	or RxParser>>compilationErrorSignal.
	This is a part of the Regular Expression Matcher package, (c) 1996, 1999 Vassili Bykov.
	Refer to `documentation' protocol of RxParser class for details."

	^RxParser preferredMatcherClass
		for: (RxParser new parse: self)
		ignoreCase: true! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
copyWithRegex: rxString matchesReplacedWith: aString

	^rxString asRegex
		copy: self replacingMatchesWith: aString! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
copyWithRegex: rxString matchesTranslatedUsing: aBlock

	^rxString asRegex
		copy: self translatingMatchesUsing: aBlock! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
matchesRegex: regexString
	"Test if the receiver matches a regex.  May raise RxParser>>regexErrorSignal or
	child signals.
	This is a part of the Regular Expression Matcher package, (c) 1996, 1999 Vassili Bykov.
	Refer to `documentation' protocol of RxParser class for details."

	^regexString asRegex matches: self! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
matchesRegexIgnoringCase: regexString
	"Test if the receiver matches a regex.  May raise RxParser>>regexErrorSignal or
	child signals.
	This is a part of the Regular Expression Matcher package, (c) 1996, 1999 Vassili Bykov.
	Refer to `documentation' protocol of RxParser class for details."

	^regexString asRegexIgnoringCase matches: self! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
prefixMatchesRegex: regexString
	"Test if the receiver's prefix matches a regex.	
	May raise RxParser class>>regexErrorSignal or child signals.
	This is a part of the Regular Expression Matcher package, (c) 1996, 1999 Vassili Bykov.
	Refer to `documentation' protocol of RxParser class for details."

	^regexString asRegex matchesPrefix: self! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
prefixMatchesRegexIgnoringCase: regexString
	"Test if the receiver's prefix matches a regex.	
	May raise RxParser class>>regexErrorSignal or child signals.
	This is a part of the Regular Expression Matcher package, (c) 1996, 1999 Vassili Bykov.
	Refer to `documentation' protocol of RxParser class for details."

	^regexString asRegexIgnoringCase matchesPrefix: self! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
regex: rxString matchesCollect: aBlock

	^rxString asRegex matchesIn: self collect: aBlock! !

!String methodsFor: '*VB-regex' stamp: 'vb 4/11/09 21:56'!
regex: rxString matchesDo: aBlock

	^rxString asRegex matchesIn: self do: aBlock! !
